## org.apache.poi.xslf.usermodel
Class XSLFTableStyles

    java.lang.Object
      org.apache.poi.POIXMLDocumentPart
          org.apache.poi.xslf.usermodel.XSLFTableStyles

All Implemented Interfaces:
  java.lang.Iterable<XSLFTableStyle>

    @Beta
    public class XSLFTableStyles

extends POIXMLDocumentPart
implements java.lang.Iterable<XSLFTableStyle>

Field Summary

Fields inherited from class org.apache.poi.POIXMLDocumentPart
`DEFAULT_XML_OPTIONS`

Constructor Summary
`XSLFTableStyles()`
`XSLFTableStyles(PackagePart part, PackageRelationship rel)`

Method Summary
`java.util.List<XSLFTableStyle>` `getStyles()`
`org.openxmlformats.schemas.drawingml.x2006.main.CTTableStyleList` `getXmlObject()`
`java.util.Iterator<XSLFTableStyle>` `iterator()`

Methods inherited from class org.apache.poi.POIXMLDocumentPart
`addRelation, commit, createRelationship, createRelationship, createRelationship, getPackagePart, getPackageRelationship, getParent, getRelationById, getRelationId, getRelations, getTargetPart, onDocumentCreate, onDocumentRead, onDocumentRemove, onSave, read, rebase, removeRelation, removeRelation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XSLFTableStyles

    public XSLFTableStyles()

### XSLFTableStyles

    public XSLFTableStyles(PackagePart part,
                           PackageRelationship rel)
                    throws java.io.IOException,
                           org.apache.xmlbeans.XmlException

Throws:
  `java.io.IOException`
  `org.apache.xmlbeans.XmlException`

Method Detail

### getXmlObject

    public org.openxmlformats.schemas.drawingml.x2006.main.CTTableStyleList getXmlObject()

### iterator

    public java.util.Iterator<XSLFTableStyle> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<XSLFTableStyle>`

### getStyles

    public java.util.List<XSLFTableStyle> getStyles()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.